Bug 1743006

Summary: missing dependency on python3-lockfile and python3-pip
Product: [Fedora] Fedora Reporter: Fabio Valentini <decathorpe>
Component: poetryAssignee: Fabio Valentini <decathorpe>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: decathorpe, mhroncok
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: poetry-0.12.17-2.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-29 15:08:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Fabio Valentini 2019-08-18 12:43:34 UTC
The project metadata for poetry does not include dependencies on "lockfile" and "pip", but it does not work correctly without them.

So, this is missing from the python3-poetry sub-package and have to be added manually:

Requires: python3-lockfile
Requires: python3-pip


(I will fix this after the python 3.8 rebuild is done, so I don't mess things up.)

Comment 1 Miro HronĨok 2019-08-19 07:23:32 UTC
If you push and build this before the Python 3.8 commit, you won't mess things up.